ConfigTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.ConfigTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class ConfigTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.hyperic.hq.ui.taglib.VarSetterBaseTag
              org.hyperic.hq.ui.taglib.ConfigTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ConfigTag

extends VarSetterBaseTag

A JSP tag that looks up a named CAM config property and returns the value as a scoped variable.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ConfigTag()`

Method Summary
`int` | `doStartTag()` Process the tag, looking up the config property and setting the scoped variable.
`java.lang.String` | `getProp()`
`java.lang.String` | `getValue()`
`void` | `release()` Release tag state.
`void` | `setProp(java.lang.String prop)` Set the name of the property to look up
`void` | `setValue(java.lang.String value)` Set the value to look up

Methods inherited from class org.hyperic.hq.ui.taglib.VarSetterBaseTag
`getVar, setScope, setScopedVariable, setVar`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigTag

    public ConfigTag()

Method Detail

### setProp

    public void setProp(java.lang.String prop)

  Set the name of the property to look up

  Parameters:
    `prop` - the property name

### getProp

    public java.lang.String getProp()

### setValue

    public void setValue(java.lang.String value)

  Set the value to look up

  Parameters:
    `value` - the value

### getValue

    public java.lang.String getValue()

### doStartTag

    public final int doStartTag()
                         throws javax.servlet.jsp.JspException

  Process the tag, looking up the config property and setting the scoped variable.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if the scripting variable can not be found or if there is an error processing the tag

### release

    public void release()

  Release tag state.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `VarSetterBaseTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.